<?php

function runEndpoint($endpoint_file): ?array
{

    $endpoint_data = $_POST;
    require_once $endpoint_file;

    return endpoint($endpoint_data);
}


function getEndpoint($endpoint_name): string
{
    $output = array();
    $output["Status"] = "Fail";
    global $routerConfig;
    global $routerRequest;

    if(!$endpoint_name){
        $endpoint_name = $routerRequest["site_name"];
    }

    $endpoint_file = $routerConfig["endpoint_dir"] . $endpoint_name . ".php";

    if (file_exists($endpoint_file)){
        $output = runEndpoint($endpoint_file);
    }
    else{
        $output["Error"] = "Not found";
        $output["Endpoint"] = $endpoint_name;
        http_response_code(404);
    }

    return json_encode($output);
}